Version Compatibility

Find the latest supported versions for WordPress, our products, Extensions, and third-party plugins.

  1. General Requirements
  2. Themeco Products
  3. Themeco Extensions
  4. Third Party Extensions
  5. Supported Third Party Plugins

General Requirements

WordPress5.5.35.6+
PHP*5.6.20+7.4+
MySQL*5.0+5.6+
TechSupportedRecommended

Note: We will always support the PHP and MySQL supported by WordPress, but we do not recommend using legacy versions as they can lead to poor performance and security vulnerabilities.

Themeco Products

X8.0.11Release Notes
Pro4.0.11Release Notes
Cornerstone5.0.11Release Notes
ProductVersionRelease Notes

Themeco Extensions

Content Dock2.0.6Read More
Custom 4042.0.5Read More
Disqus Comments2.0.4Read More
Email Forms2.0.5Read More
Facebook Comments2.0.5Read More
Google Analytics3.0.2Read More
Olark Integration2.0.4Read More
Smooth Scroll2.0.5Read More
Snippet2.1.1Read More
Terms of Use2.0.4Read More
Under Construction2.1.0Read More
Video Lock2.0.4Read More
White Label2.0.4Read More
Woo Checkout Editor2.2.1Read More
ExtensionVersionDocs

Third Party Extensions

ACF Pro5.9.3Read More
ConvertPlus3.5.16Read More
Envira Gallery1.9.1.3Read More
Essential Grid3.0.11Read More
Estimation & Payment Forms9.721Read More
LayerSlider6.11.2Read More
MailPoet3.0.82Read More
Modern Events Calendar5.15.5Read More
Soliloquy2.5.9Read More
Superfly5.0.18Read More
The Grid2.7.9Read More
Revolution Slider6.3.5Read More
UberMenu3.7.1Read More
WP Bakery Page Builder6.5.0Read More
ExtensionVersionDocs

Supported Third Party Plugins

bbPress2.6.6Read More
BuddyPress7.1.0Read More
Contact Form 77.5.3.2Read More
Gravity Forms2.4.21.6Read More
WooCommerce4.8.0Read More
WPML4.4.8Read More
PluginVersionDocs

See something inaccurate? Let us know